plxMyZoombox ne marche pas

Rédigé par Angeraph - - 2 commentaires

Si le plugin plxMyZoombox ne fonctionne pas sous PluXML, il y a une forte probabilité que vous rencontrezun problème de compatibilité avec Jquery.

Pour résoudre ce problème, il vous faut modifier le fichier ./plugins/Zoombox/zoombox/zoombox.js.

Remplacer la ligne 88 :

        if($.browser.msie && $.browser.version < 7 && !window.XMLHttpRequest){
            return false;
        }

Par :

        // check old version of internet explorer    
        var rv = -1; // Return value assumes failure.
        if (navigator.appName == 'Microsoft Internet Explorer'){
            var ua = navigator.userAgent;
            var re  = new RegExp("MSIE ([0-9]{1,}[\.0-9]{0,})");
        if (re.exec(ua) != null)
            rv = parseFloat( RegExp.$1 );
        }
        var msieolder=false;
        if ( rv > -1 ){
            if ( rv >= 8.0 ) {
                msieolder=false;
            }else{
                msieolder=true;
            }
            
        }
        if(msieolder==true && !window.XMLHttpRequest){
            return false;
        }

Source : http://forum.pluxml.org/viewtopic.php?id=4523 

Explication : http://api.jquery.com/jquery.browser/

2 commentaires

#1 chico a dit :

Merci pour ta page qui s'affiche avant celle du forum. Tu viens de me déboguer le binz^^

#2 Angeraph a dit :

Si l'article t'a aidé, j'en suis ravi. :-)

Écrire un commentaire

Quelle est la quatrième lettre du mot werlrp ?